clear all;
close all;

%system parameters 
syms u1 A1 kp
syms h1 kv1 rho
syms g G kv2
syms u2 h2 A2

% nonlinear model
f1 = (kp*u1-kv1*sqrt((rho*g*h1)/G))/A1
f2 = (kv1*sqrt((rho*g*h1)/G)-kv2*u2*sqrt((rho*g*h2)/G))/A2
y1 = h1
y2 = h2

%ss linearization
A = jacobian([f1,f2],[h1,h2])
B = jacobian([f1,f2],[u1,u2])
C = jacobian([y1,y2],[h1,h2])
D = jacobian([y1,y2],[u1,u2])

